# CMxIndirectWriteOnly Class

Namespace: `ArchestrA.Toolkit`

CMxIndirectWriteOnly is a support class that allows a user to connect to an external attribute and write its value. This type of indirect has less overhead than one that is readable as well as writable.

**Syntax**

```csharp
public class CMxIndirectWriteOnly : CMxIndirectBase
```

## CMxIndirectWriteOnly Property

### Value Property

Allows a user to set the value of the referenced attribute.

**Syntax**

```csharp
public CMxValue Value { set; }
```

**Returns**

CMxValue

## CMxIndirectWriteOnly Constructor

### CMxIndirectWriteOnly Constructor string, string, IMxSupervisoryConnection3, RuntimeBase, int, short, int

This is an internal constructor intended for use only in BindToWriteOnly.

**Syntax**

```csharp
CMxIndirectWriteOnly(string _fullRefString, string _context, IMxSupervisoryConnection3 _superConn, RuntimeBase _rb, int _refHandle, short _statusId, int _statusIndex)
```

**Parameters**

**`_fullRefString`**

[in] Full reference string of the attribute to bind to.

**`_context`**

[in] Context of the reference.

**`_superConn`**

[in] A supervisory connection to the runtime.

**`_rb`**

[in] handle to the RuntimeBase class instance that created this indirect.

**`_refHandle`**

[in] The ArchestrA reference handle of the registered reference.

**`_statusId`**

[in] The attribute id of the dynamic array that holds the write status's.

**`_statusIndex`**

[in] The index of the element in the dynamic status array that this reference uses.
